Subject: bug#9372: 24.0.50; missing header biditype.h

From: Jan Djärv <[email-masked]>
Date: Fri, 26 Aug 2011 07:39:59 +0200

Stefan Monnier skrev 2011-08-26 06:11:
>> timestamp newer than deps/bidi.d, the latter would be regenerated before
>> anything else happened. But maybe it doesn't work like that?
>
> No, it's the opposite: the bidi.d file from previous compilation
> (i.e. older) is used to guess whether bidi.c needs to be recompiled.
>
> Basically, the problem is that the bidi.d file should contain
> dependencies which say "if foo.c is newer than bidi.c, then recompile,
> but if foo.c doesn't exist any more, then just ignore this rule rather
> than foolishly trying to build foo.c".
> I don't know if GNU make provides such a kind of dependency (tho you
> can get it via ifeq trickery).
>

The problem is that make includes bidi.d.  So the rule would have to be
if bidi.d is older than bidi.c, don't include it.  I don't know if that is
possible.  Also, if foo.c don't exist anymore may be an error, for example
removed from the repository by mistake.

	Jan D.